Subject: Re: [PATCH net-next v19 03/10] ptp: Add phc source and helpers to register specific PTP clock or get information

From: Jakub Kicinski <[email-masked]>
Date: Thu, 14 Nov 2024 17:39:06 -0800

On Thu, 14 Nov 2024 11:46:10 +0100 Kory Maincent wrote:
> > > I see what you mean! It is not something easy to think of as I don't really
> > > know how it would be implemented.
> > > Do you think adding simply the PHC source and the phydev pointer or index
> > > would fit?     
> > 
> > In net_device? Yes, I think so.  
>  
> Also as the "user" is not described in the ptp_clock structure the only way to
> find it is to roll through all the PTP of the concerned net device topology.
> This find ptp loop will not be in the hotpath but only when getting the tsinfo
> of a PHC or changing the current PHC. Is it ok for you?

I think so :) We need to be able to figure out if it's the MAC PHC
quickly, because MAC timestamping can be high rate. But IIUC PHY
timestamping will usually involve async work and slow buses, so
walking all PHYs of a netdev should be fine. Especially that 99%
of the time there will only be one. Hope I understood the question..

> I am at v20 so I ask for confirmation before changing the full patch series! ;)